using FluentValidation;

namespace NetinaShop.Repository.Handlers.Brands.Validators;

public class UpdateBrandCommandValidator : AbstractValidator<UpdateBrandCommand>
{
    public UpdateBrandCommandValidator()
    {
        RuleFor(r => r.PersianName)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام فارسی برند را وارد کنید");

        RuleFor(r => r.EnglishName)
            .NotNull()
            .NotEmpty()
            .WithMessage("نام انگلیسی برند را وارد کنید");
    }
}